# Class JSException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
netscape.javascript.JSException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="24", forRemoval=true) public class JSException extends RuntimeException
Deprecated, for removal: This API element is subject to removal in a future version.
The jdk.jsobject module will be delivered with JavaFX.
Thrown when an exception is raised in the JavaScript engine. This is merely a marker class to indicate an exception relating to the JavaScript interface.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSException()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new JavaScript exception with null as it's detail message.
  `JSException(String s)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct a new JavaScript exception with the specified detail message.
  `JSException(Throwable t)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct a new JavaScript exception with the specified cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JSException

    public JSException()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new JavaScript exception with null as it's detail message.

  - ### JSException

    public JSException(String s)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct a new JavaScript exception with the specified detail message.
    Parameters:
      `s` - The detail message

  - ### JSException

    public JSException(Throwable t)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct a new JavaScript exception with the specified cause.
    Parameters:
      `t` - Throwable cause